Bug 481604 - (CVE-2009-0269) CVE-2009-0269 kernel: ecryptfs readlink flaw
CVE-2009-0269 kernel: ecryptfs readlink flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cvenew,reported=20090126,publi...
: Security
Depends On: 481605 481606 481607
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 12:59 EST by Mark J. Cox (Product Security)
Modified: 2011-09-30 18:00 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-30 18:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2009-01-26 12:59:07 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0269 to the following vulnerability:

fs/ecryptfs/inode.c in the eCryptfs subsystem in the Linux kernel before 2.6.28.1 allows local users to cause a denial of service (fault or memory corruption), or possibly have unspecified other impact, via a readlink call that results in an error, leading to use of a -1 return value as an array index.

Hyperlink:https://lists.launchpad.net/ecryptfs-devel/msg00011.html  
Hyperlink:https://lists.launchpad.net/ecryptfs-devel/msg00010.html  
Hyperlink:http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.27.y.git;a=commit;h=a17d5232de7b53d34229de79ec22f4bb04adb7e4
Comment 3 Mark J. Cox (Product Security) 2009-01-27 05:29:06 EST
So based on a quick technical first pass on the affected code:

- it can only affect systems that are using and have mounted a ecryptfs directory, and allow such to be done by unprivileged users
- the local attacker would need to be able to make a readlink on a symlink fail, most likely permissions, or perhaps too many symlinks. 
- the outcome would be writing a single null byte one memory address before the kmalloc()ed buffer.

Some sites are writing up this issue as a privilege escalation flaw, but I believe that given the circumstances this is most unlikely.  Setting severity to moderate and requesting review from a kernel engineer.
Comment 4 Eric Sandeen 2009-02-04 11:02:27 EST
Mark, I concur with your severity analysis.

Patch sent to rhkernel-list on 2/4/2009 (sorry for the delay...)

-Eric
Comment 7 errata-xmlrpc 2009-03-26 20:15:25 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2009:0360 https://rhn.redhat.com/errata/RHSA-2009-0360.html
Comment 8 errata-xmlrpc 2009-04-01 04:32:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0326 https://rhn.redhat.com/errata/RHSA-2009-0326.html
Comment 9 Jan Tluka 2009-07-20 11:46:40 EDT
Patch is in -158.el5. Adding SanityOnly.

Note You need to log in before you can comment on or make changes to this bug.